PRO CLINPS,zmergx,elo,gglo,elon,nlat,ndg,qrad,colors,levels,zpl,wpl,elpl,nlpl
compile_opt hidden
on_error,1
u=float(zmergx) & v=imaginary(zmergx)
wind=float(sqrt(zmergx*conj(zmergx)))
if n_params() eq 0 then begin
print,'CLINPS,wind,elo,gglo,elon,nlat,ndg,qrad,colors,levels,zpl,wpl,elpl,nlpl'
&return&endif 

;...latitude and longitude limits of plot domain
ndg=min([ndg,4])
;levels=5*indgen(32)
;...create map environment, including geography
;isoa=[0,5,10,15,20,25,30,33] & isob=[35,40,45,50,55,60]
;isoc=[70,75,80,85,90,95,100,105,110,115,120,125,130,135,140,145,150,155]
isoa=[0,5,10,15,20,25,30,35] & isob=[35,40,45,50,55,60,64]
;isoa=[0,5,10] & isob=[34,35,40,45,50,55,60,64]
isoc=[64,70,75,80,85,90,95,100,105,110,115,120,125,130,135,140,145,150,155]
;
;colora=[1,5,10,15,20,25,29]
colora=[1,5,10,15,20,25,29,32]
;colora=[1,5,10]
;levels=[10,30,60]
;colora=[64]
;34 -> 32
;colorb=[34,35,40,47,64,85,90]
colorb=[32,40,47,64,85,90,96]
;64--> 96
;colorc=[111,116,123,143,148,153,159,164,169,174,179,184,189,194,199,204,207,212]
colorc=[96,111,116,123,143,148,153,159,164,169,174,179,184,189,194,199,204,207,212]
print,'colora  ',colora
print,'isoa  ',isoa
print,'colorb  ',colorb
print,'isob  ',isob
;
map_set,limit=[gglo-ndg,elo-ndg,gglo+ndg,elo+ndg],/noborder,xmargin=[5,5],ymargin=[2,3]
test=wind
thrt=where(wind le 10.0)
op=where(wind gt 10.0)
test(thrt)=wind(thrt)
test(op)=0.0
print,'size of test***',size(test)
test=reform(test,633,633)
print,'****size test***',size(test)
levels=10
step = (Max(1.94*wind) - Min(1.94*wind)) / levels
userLevels = IndGen(levels) * step + Min(1.94*wind)
print,'userLevels   ',userLevels
;print,'reform(wind(thrt),633,633)',size(reform(wind(thrt),633,633))
;contour,1.94*wind,elon,nlat,levels=userLevels,c_color=colors,/fill,/overplot
contour,1.94*wind,elon,nlat,levels=userLevels,C_Colors=colors,/fill,/overplot
;contour,1.94*wind,elon,nlat,nlevels=13,c_color=colors,/fill,/overplot
;contour,1.94*wind,elon,nlat,levels=levels,c_color=colors,/fill,/overplot
;contour,1.94*test,elon,nlat,levels=levels,c_color=colora,/fill,/overplot
;contour,1.94*reform(wind(thrt),633,633),elon,nlat,levels=levels,c_color=colors,/fill,/overplot
;contour,1.94*wind,elon,nlat,levels=isoa,c_color=colora,/fill,/overplot
;contour,1.94*wind,elon,nlat,levels=34,c_color=32,/fill,/overplot
;contour,1.94*wind,elon,nlat,levels=isob,c_color=colorb,/fill,/overplot
;contour,1.94*wind,elon,nlat,levels=64,c_color=96,/fill,/overplot
;contour,1.94*wind,elon,nlat,levels=isoc,c_color=colorc,/fill,/overplot
map_continents,/hires,/coasts,mlinethick=4
;
;
;isoa=[0,5,10,15,20,25,30] & isob=[40,45,50,55,60]
;isoc=[70,75,80,85,90,95,100,105,110,115,120,125,130,135,140,145,150,155,160,165,170,175,180,185,190]
;contour,wind,elon,nlat,levels=isoa,/follow,/overplot
;contour,wind,elon,nlat,levels=34,c_linestyle=0,thick=4,/overplot
;contour,wind,elon,nlat,levels=isob,/follow,c_thick=[1,1,4,1,1],/overplot
;contour,wind,elon,nlat,levels=64,c_linestyle=0,thick=4,/overplot
;contour,wind,elon,nlat,levels=isoc,/follow,/overplot

;
print,'****levels***',levels
print,'****levels***',size(levels)
print,'***colors***',colors
print,'***colors***',size(colors)
;...plot isotachs ... contour interval is in knots
ISOTACHSX,1.94*wind,elon,nlat

;...bordering axes and center locator
!x.range=[elo-ndg,elo+ndg] & !y.range=[gglo-ndg,gglo+ndg]
axis,xaxis=0 & axis,yaxis=0 & axis,xaxis=1,xtitle=ttl & axis,yaxis=1
;oplot,[elo-ndg,elo+ndg],[gglo,gglo],linestyle=5
;oplot,[elo,elo],[gglo-ndg,gglo+ndg],linestyle=5

;...draw direction arrows
@dartsll.m

;...write table of wind radii
WRQRADCX,elo,gglo,ndg,qrad
!x.range=0 & !y.range=0
save,/all,filename='allinfo.idl'
END ;CLINPS.PRO
